# ClientOptions | xrpl
Documentation for xrpl

# Interface ClientOptions

#### Hierarchy

- ConnectionUserOptions
  - ClientOptions

- Defined in packages/xrpl/src/client/index.ts:117

#####
Index

### Properties

authorization?
certificate?
connectionTimeout?
feeCushion?
headers?
key?
maxFeeXRP?
passphrase?
proxy?
proxyAuthorization?
timeout?
trace?
trustedCertificates?

## Properties

### `Optional` authorization

authorization?: string

Inherited from ConnectionUserOptions.authorization

- Defined in packages/xrpl/src/client/connection.ts:31

### `Optional` certificate

certificate?: string

Inherited from ConnectionUserOptions.certificate

- Defined in packages/xrpl/src/client/connection.ts:35

### `Optional` connectionTimeout

connectionTimeout?: number

Inherited from ConnectionUserOptions.connectionTimeout

- Defined in packages/xrpl/src/client/connection.ts:38

### `Optional` feeCushion

feeCushion?: number

- Defined in packages/xrpl/src/client/index.ts:118

### `Optional` headers

headers?: {
[key: string]: string;
}

#### Type declaration

- ##### [key: string]: string

Inherited from ConnectionUserOptions.headers

- Defined in packages/xrpl/src/client/connection.ts:39

### `Optional` key

key?: string

Inherited from ConnectionUserOptions.key

- Defined in packages/xrpl/src/client/connection.ts:33

### `Optional` maxFeeXRP

maxFeeXRP?: string

- Defined in packages/xrpl/src/client/index.ts:119

### `Optional` passphrase

passphrase?: string

Inherited from ConnectionUserOptions.passphrase

- Defined in packages/xrpl/src/client/connection.ts:34

### `Optional` proxy

proxy?: string

Overrides ConnectionUserOptions.proxy

- Defined in packages/xrpl/src/client/index.ts:120

### `Optional` proxyAuthorization

proxyAuthorization?: string

Inherited from ConnectionUserOptions.proxyAuthorization

- Defined in packages/xrpl/src/client/connection.ts:30

### `Optional` timeout

timeout?: number

Overrides ConnectionUserOptions.timeout

- Defined in packages/xrpl/src/client/index.ts:121

### `Optional` trace

trace?: boolean | ((id: string, message: string) => void)

Inherited from ConnectionUserOptions.trace

- Defined in packages/xrpl/src/client/connection.ts:28

### `Optional` trustedCertificates

trustedCertificates?: string[]

Inherited from ConnectionUserOptions.trustedCertificates

- Defined in packages/xrpl/src/client/connection.ts:32

Generated using TypeDoc